<form class="{{cssClass}} flexcol" autocomplete="off">
 
    {{!-- Item Sheet Header --}}
    <header class="sheet-header flexrow">
        <img class="profile" src="{{item.img}}" title="{{item.name}}" data-edit="img"/>
 
        <div class="header-details flexrow">
            <h1 class="charname">
                <input name="name" type="text" value="{{item.name}}" placeholder="{{ localize 'mez5e.ClassName' }}"/>
            </h1>
 
            <div class="item-subtitle">
                <h4 class="item-type">{{itemType}}</h4>
                <span class="item-status">{{itemStatus}}</span>
            </div>
 
            <ul class="summary flexrow">
                <li>
                    <input type="text" name="data.source" value="{{data.source}}" placeholder="{{ localize 'mez5e.Source' }}"/>
                </li>
            </ul>
        </div>
    </header>
 
    {{!-- Item Sheet Navigation --}}
    <nav class="sheet-navigation tabs" data-group="primary">
        <a class="item active" data-tab="description">{{ localize "mez5e.Description" }}</a>
        <a class="item" data-tab="details">{{ localize "mez5e.Details" }}</a>
    </nav>
 
    {{!-- Item Sheet Body --}}
    <section class="sheet-body">
 
        {{!-- Description Tab --}}
        <div class="tab flexrow active" data-group="primary" data-tab="description">
            {{editor content=data.description.value target="data.description.value" button=true owner=owner editable=editable}}
        </div>
 
        {{!-- Details Tab --}}
        <div class="tab details" data-group="primary" data-tab="details">
 
            {{!-- Class Levels --}}
            <div class="form-group">
                <label>{{ localize "mez5e.ClassLevels" }}</label>
                <div class="form-fields">
                    <input type="text" name="data.levels" value="{{data.levels}}" data-dtype="Number"/>
                </div>
            </div>
 
            {{!-- Subclass Name --}}
            <div class="form-group">
                <label>{{ localize "mez5e.SubclassName" }}</label>
                <div class="form-fields">
                    <input type="text" name="data.subclass" value="{{data.subclass}}"/>
                </div>
            </div>
 
            {{!-- Class Hit Dice --}}
            <div class="form-group">
                <label>{{localize "mez5e.HitDice"}}</label>
                <div class="form-fields">
                    <select name="data.hitDice">
                        {{#select data.hitDice}}
                        {{#each config.hitDieTypes}}
                        <option value="{{this}}">{{this}}</option>
                        {{/each}}
                        {{/select}}
                    </select>
                </div>
            </div>
 
            <div class="form-group">
                <label>{{localize "mez5e.HitDiceUsed"}}</label>
                <div class="form-fields">
                    <input type="text" placeholder="0" name="data.hitDiceUsed" value="{{data.hitDiceUsed}}" data-dtype="Number"/>
                </div>
            </div>
 
            <div class="form-group">
                <label>{{localize 'mez5e.SpellProgression'}}</label>
                <div class="form-fields">
                    <select name="data.spellcasting">
                        {{#select data.spellcasting}}
                            {{#each config.spellProgression}}
                                <option value="{{@key}}">{{localize this}}</option>
                            {{/each}}
                        {{/select}}
                    </select>
                </div>
            </div>
 
            {{!-- Level 1 skills --}}
            <div class="form-group">
                <label>{{localize "mez5e.ClassSkillsNumber"}}</label>
                <div class="form-fields">
                    <input type="text" placeholder="0" name="data.skills.number" value="{{data.skills.number}}" data-dtype="Number"/>
                </div>
            </div>
 
            <div class="form-group">
                <label>
                    {{localize "mez5e.ClassSkillsChosen"}}
                    {{#if editable }}
                    <a class="trait-selector class-skills" data-target="data.skills" data-options="skills">
                        <i class="fas fa-edit"></i></a>
                    {{/if}}
                </label>
                <div class="form-fields">
                    <ul class="traits-list">
                        {{#each data.skills.value}}
                            <li class="tag {{this}}">{{lookup ../config.skills this}}</li>
                        {{/each}}
                    </ul>
                </div>
            </div>
        </div>
    </section>
</form>
 
 

